Subject: [Gen-art] Gen-ART review of draft-ietf-lisp-interworking-03.txt

From: "Miguel A. Garcia" <[email-masked]>
Date: Fri, 17 Feb 2012 09:39:43 +0100

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft. For background on Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Please resolve these comments along with any other comments you may receive.

Document: draft-ietf-lisp-interworking-03.txt
Reviewer: Miguel Garcia <[email-masked]>
Review Date: 2012-02-17
IETF LC End Date: 2012-02-23
IESG Telechat date: 2012-03-01

Summary: The document is ready for publication as an experimental RCFc.

Major issues: none

Minor issues: none

Nits/editorial comments:

- Section 5.2 describes a sequence of packet flows. I think it would be 
easier to understand if there is a companion figure to which the text can 
refer to. Otherwise, the reader has to compose this figure in his mind.

- Please expand acronyms at first occurrence. This includes: RLOC, CRIO

- Perhaps the terminology section should include RLOC, xTR, ETR, ITR, DFZ

- Idnits reveals a number of unused references: LIPS-MS, RFC4632, 
LISP-DEPLOY, RFC4787, RFC5382. They should be deleted.

- Idnits reveals an obsolete reference: RFC 2434 (Obsoleted by RFC 5226)

- Idnits reveals a number of instances where IP addresses are not 
compliant with RFC 5735. I am trying to identify which ones of these are. 
I guess they are the 220.x.x.x, 128.x.x.x EIDs. I think most of them are 
technically EIDs for LISP-NR, LISP-R LISP-NAT, etc. I don't know if RFC 
5735 applies to this draft or not, I am just letting you know in case you 
need to fix something.

BR,

      Miguel

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: Jari Arkko <[email-masked]>
Date: Fri, 17 Feb 2012 10:55:24 +0200

Thanks for your review!

Jari

On 17.02.2012 10:39, Miguel A. Garcia wrote:
> - Section 5.2 describes a sequence of packet flows. I think it would be easier to understand if there is a companion figure to which the text can refer to. Otherwise, the reader has to compose this figure in his mind.
>
> - Idnits reveals a number of unused references: LIPS-MS, RFC4632, LISP-DEPLOY, RFC4787, RFC5382. They should be deleted.
>
> - Idnits reveals a number of instances where IP addresses are not compliant with RFC 5735. I am trying to identify which ones of these are. I guess they are the 220.x.x.x, 128.x.x.x EIDs. I think most of them are technically EIDs for LISP-NR, LISP-R LISP-NAT, etc. I don't know if RFC 5735 applies to this draft or not, I am just letting you know in case you need to fix something.
>
> BR,
>
>      Miguel
>
>

---

From: Darrel Lewis <[email-masked]>
Date: Fri, 17 Feb 2012 09:16:31 -0800

On Feb 17, 2012, at 12:39 AM, Miguel A. Garcia wrote:

> Reviewer: Miguel Garcia <[email-masked]>Review Date: 2012-02-17

Thanks, fixed.

> - Perhaps the terminology section should include RLOC, xTR, ETR, ITR, DFZ

The WG/authors for all the related LISP documents decided that we would not repeat definitions from the main lisp spec (draft-ietf-lisp) and that document is a normative reference for this document.  At the end of the definitions section is a reference for the main spec for exactly this purpose.  So I am going to not repeat the definitions for RLOC, xTR, ETR and ITR.  I provided a definition for DFZ, thanks.

> - Idnits reveals a number of unused references: LIPS-MS, RFC4632, LISP-DEPLOY, RFC4787, RFC5382. They should be deleted.

These references were added at the request of other reviewers during the WG Last call. These references are only informative and I think help provide context for the concepts developed in the document.  I am going to leave them unless you feel its a critical issue.  

> - Idnits reveals an obsolete reference: RFC 2434 (Obsoleted by RFC 5226)

Thanks, fixed. 

> - Idnits reveals a number of instances where IP addresses are not compliant with RFC 5735. I am trying to identify which ones of these are. I guess they are the 220.x.x.x, 128.x.x.x EIDs. I think m…

Thanks, fixed (now 5735 addresses throughout). 

I appreciate your review!  Posted -04 in response to these changes.

Attached is the -04 version and html diffs for 03 to 04.

-Darrel